<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yd.csf.service.dao.AppointmentFileMapper">

    <select id="page" resultType="com.yd.csf.feign.response.appointmentfile.ApiAppointmentFilePageResponse">
        select af.* from appointment_file af

        <where>

            <if test="request.fileName != null and request.fileName != ''">
                and af.file_name like concat('%', #{request.fileName}, '%')
            </if>

            and af.appointment_biz_id = #{request.appointmentBizId} and af.is_deleted = 0
        </where>
        order by af.create_time desc
    </select>
</mapper>
